cURL
curl --request POST \ --url https://gateway.varchev.com/ipg/payment/pay-with-token \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'OrganizationId: <organizationid>' \ --header 'TenantId: <tenantid>' \ --header 'WalletId: <walletid>' \ --data ' { "registrationId": "<string>", "merchantTransactionId": "<string>", "amount": 123, "currency": "<string>", "cardCvv": "<string>", "terminalId": "<string>", "destinationId": "<string>", "merchantRedirectUrl": "<string>", "orderType": "<string>" } '
{ "value": { "id": "<string>", "paymentDetail": { "paymentId": "<string>", "paymentBrand": "<string>", "paymentMode": "<string>", "paymentType": "<string>", "registrationId": null, "amount": 123, "currency": "<string>", "card": { "bin": "<string>", "last4Digits": "<string>", "holder": "<string>", "expiryMonth": "<string>", "expiryYear": "<string>" }, "transactionStatus": "<string>", "merchantTransactionId": null, "result": { "code": 123, "description": "<string>" }, "descriptor": null, "remark": null, "timestamp": "<string>", "redirect": { "url": "<string>", "method": null, "target": null, "parameters": [ { "name": "<string>", "value": "<string>" } ] } } }, "isOk": true, "isErr": true }
Documentation IndexFetch the complete documentation index at: https://docs.varchev.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Success
Show child attributes